Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.framework
Interface Constants

public interface Constants

Defines standard names for the OSGi environment property, service property, and Manifest header attribute keys.

The values associated with these keys are of type `java.lang.String`, unless otherwise indicated.

Since:
  1.1
See Also:
  `Bundle.getHeaders()`, `BundleContext.getProperty(java.lang.String)`, `BundleContext.registerService(java.lang.String[], java.lang.Object, java.util.Dictionary)`

Field Summary
`static java.lang.String` | `BUNDLE_ACTIVATOR` Manifest header attribute (named "Bundle-Activator") identifying the bundle's activator class.
`static java.lang.String` | `BUNDLE_CATEGORY` Manifest header (named "Bundle-Category") identifying the bundle's category.
`static java.lang.String` | `BUNDLE_CLASSPATH` Manifest header (named "Bundle-ClassPath") identifying a list of nested JAR files, which are bundle resources used to extend the bundle's classpath.
`static java.lang.String` | `BUNDLE_CONTACTADDRESS` Manifest header (named "Bundle-ContactAddress") identifying the contact address where problems with the bundle may be reported; for example, an email address.
`static java.lang.String` | `BUNDLE_COPYRIGHT` Manifest header (named "Bundle-Copyright") identifying the bundle's copyright information, which may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.
`static java.lang.String` | `BUNDLE_DESCRIPTION` Manifest header (named "Bundle-Description") containing a brief description of the bundle's functionality.
`static java.lang.String` | `BUNDLE_DOCURL` Manifest header (named "Bundle-DocURL") identifying the bundle's documentation URL, from which further information about the bundle may be obtained.
`static java.lang.String` | `BUNDLE_LOCALIZATION` Manifest header (named "Bundle-Localization") identifying the base name of the bundle's localization file.
`static java.lang.String` | `BUNDLE_LOCALIZATION_DEFAULT_BASENAME` Default value for the Bundle-Localization manifest header.
`static java.lang.String` | `BUNDLE_NAME` Manifest header (named "Bundle-Name") identifying the bundle's name.
`static java.lang.String` | `BUNDLE_NATIVECODE` Manifest header (named "Bundle-NativeCode") identifying a number of hardware environments and the native language code libraries that the bundle is carrying for each of these environments.
`static java.lang.String` | `BUNDLE_NATIVECODE_LANGUAGE` Manifest header attribute (named "language") identifying the language in which the native bundle code is written specified in the Bundle-NativeCode manifest header.
`static java.lang.String` | `BUNDLE_NATIVECODE_OSNAME` Manifest header attribute (named "osname") identifying the operating system required to run native bundle code specified in the Bundle-NativeCode manifest header).
`static java.lang.String` | `BUNDLE_NATIVECODE_OSVERSION` Manifest header attribute (named "osversion") identifying the operating system version required to run native bundle code specified in the Bundle-NativeCode manifest header).
`static java.lang.String` | `BUNDLE_NATIVECODE_PROCESSOR` Manifest header attribute (named "processor") identifying the processor required to run native bundle code specified in the Bundle-NativeCode manifest header).
`static java.lang.String` | `BUNDLE_REQUIREDEXECUTIONENVIRONMENT` Manifest header (named "Bundle-RequiredExecutionEnvironment") identifying the required execution environment for the bundle.
`static java.lang.String` | `BUNDLE_SYMBOLICNAME` Manifest header (named "Bundle-SymbolicName") identifying the bundle's symbolic name.
`static java.lang.String` | `BUNDLE_UPDATELOCATION` Manifest header (named "Bundle-UpdateLocation") identifying the location from which a new bundle version is obtained during a bundle update operation.
`static java.lang.String` | `BUNDLE_VENDOR` Manifest header (named "Bundle-Vendor") identifying the bundle's vendor.
`static java.lang.String` | `BUNDLE_VERSION` Manifest header (named "Bundle-Version") identifying the bundle's version.
`static java.lang.String` | `BUNDLE_VERSION_ATTRIBUTE` Manifest header attribute (named "bundle-version") identifying a range of versions for a bundle specified in the Require-Bundle or Fragment-Host manifest headers.
`static java.lang.String` | `DYNAMICIMPORT_PACKAGE` Manifest header (named "DynamicImport-Package") identifying the names of the packages that the bundle may dynamically import during execution.
`static java.lang.String` | `EXPORT_PACKAGE` Manifest header (named "Export-Package") identifying the names (and optionally version numbers) of the packages that the bundle offers to the Framework for export.
`static java.lang.String` | `EXPORT_SERVICE` Manifest header (named "Export-Service") identifying the fully qualified class names of the services that the bundle may register (used for informational purposes only).
`static java.lang.String` | `FRAGMENT_HOST` Manifest header (named "Fragment-Host") identifying the symbolic name of another bundle for which that the bundle is a fragment.
`static java.lang.String` | `FRAMEWORK_EXECUTIONENVIRONMENT` Framework environment property (named "org.osgi.framework.executionenvironment") identifying execution environments provided by the Framework.
`static java.lang.String` | `FRAMEWORK_LANGUAGE` Framework environment property (named "org.osgi.framework.language") identifying the Framework implementation language (see ISO 639 for possible values).
`static java.lang.String` | `FRAMEWORK_OS_NAME` Framework environment property (named "org.osgi.framework.os.name") identifying the Framework host-computer's operating system.
`static java.lang.String` | `FRAMEWORK_OS_VERSION` Framework environment property (named "org.osgi.framework.os.version") identifying the Framework host-computer's operating system version number.
`static java.lang.String` | `FRAMEWORK_PROCESSOR` Framework environment property (named "org.osgi.framework.processor") identifying the Framework host-computer's processor name.
`static java.lang.String` | `FRAMEWORK_VENDOR` Framework environment property (named "org.osgi.framework.vendor") identifying the Framework implementation vendor.
`static java.lang.String` | `FRAMEWORK_VERSION` Framework environment property (named "org.osgi.framework.version") identifying the Framework version.
`static java.lang.String` | `IMPORT_PACKAGE` Manifest header (named "Import-Package") identifying the names (and optionally, version numbers) of the packages that the bundle is dependent on.
`static java.lang.String` | `IMPORT_SERVICE` Manifest header (named "Import-Service") identifying the fully qualified class names of the services that the bundle requires (used for informational purposes only).
`static java.lang.String` | `MULTIPLE_HOSTS_ATTRIBUTE` Manifest header attribute (named "multiple-hosts") identifying if the fragment should attach to each bundle selected by the Fragment-Host manifest header.
`static java.lang.String` | `OBJECTCLASS` Service property (named "objectClass") identifying all of the class names under which a service was registered in the Framework (of type `java.lang.String[]`).
`static java.lang.String` | `OPTIONAL_ATTRIBUTE` Manifest header attribute (named "optional") for Require-Bundle identifying that a required bundle is optional and that the requiring bundle can be resolved if there is no suitable required bundle.
`static java.lang.String` | `PACKAGE_SPECIFICATION_VERSION` Manifest header attribute (named "specification-version") identifying the version of a package specified in the Export-Package or Import-Package manifest header.
`static java.lang.String` | `PROVIDE_PACKAGE` Manifest header (named "Provide-Package") identifying the packages name provided to other bundles which require the bundle.
`static java.lang.String` | `REPROVIDE_ATTRIBUTE` Manifest header attribute (named "reprovide") for Require-Bundle identifying that any packages that are provided by the required bundle must be reprovided by the requiring bundle.
`static java.lang.String` | `REQUIRE_BUNDLE` Manifest header (named "Require-Bundle") identifying the symbolic names of other bundles required by the bundle.
`static java.lang.String` | `REQUIRE_PACKAGES_ATTRIBUTE` Manifest header attribute (named "require-packages") for Require-Bundle specifying the subset of packages that are accessible from the required bundle.
`static java.lang.String` | `SELECTION_FILTER_ATTRIBUTE` Manifest header attribute (named "selection-filter") is used for selection by filtering based upon system properties.
`static java.lang.String` | `SERVICE_DESCRIPTION` Service property (named "service.description") identifying a service's description.
`static java.lang.String` | `SERVICE_ID` Service property (named "service.id") identifying a service's registration number (of type `java.lang.Long`).
`static java.lang.String` | `SERVICE_PID` Service property (named "service.pid") identifying a service's persistent identifier.
`static java.lang.String` | `SERVICE_RANKING` Service property (named "service.ranking") identifying a service's ranking number (of type `java.lang.Integer`).
`static java.lang.String` | `SERVICE_VENDOR` Service property (named "service.vendor") identifying a service's vendor.
`static java.lang.String` | `SINGLETON_ATTRIBUTE` Manifest header attribute (named "singleton") identifying whether a bundle is a singleton.
`static java.lang.String` | `SYSTEM_BUNDLE_LOCATION` Location identifier of the OSGi system bundle, which is defined to be "System Bundle".

Field Detail

### SYSTEM_BUNDLE_LOCATION

    public static final java.lang.String SYSTEM_BUNDLE_LOCATION

  Location identifier of the OSGi system bundle, which is defined to be "System Bundle".

### BUNDLE_CATEGORY

    public static final java.lang.String BUNDLE_CATEGORY

  Manifest header (named "Bundle-Category") identifying the bundle's category.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_CLASSPATH

    public static final java.lang.String BUNDLE_CLASSPATH

  Manifest header (named "Bundle-ClassPath") identifying a list of nested JAR files, which are bundle resources used to extend the bundle's classpath.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_COPYRIGHT

    public static final java.lang.String BUNDLE_COPYRIGHT

  Manifest header (named "Bundle-Copyright") identifying the bundle's copyright information, which may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_DESCRIPTION

    public static final java.lang.String BUNDLE_DESCRIPTION

  Manifest header (named "Bundle-Description") containing a brief description of the bundle's functionality.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_NAME

    public static final java.lang.String BUNDLE_NAME

  Manifest header (named "Bundle-Name") identifying the bundle's name.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_NATIVECODE

    public static final java.lang.String BUNDLE_NATIVECODE

  Manifest header (named "Bundle-NativeCode") identifying a number of hardware environments and the native language code libraries that the bundle is carrying for each of these environments.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### EXPORT_PACKAGE

    public static final java.lang.String EXPORT_PACKAGE

  Manifest header (named "Export-Package") identifying the names (and optionally version numbers) of the packages that the bundle offers to the Framework for export.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### EXPORT_SERVICE

    public static final java.lang.String EXPORT_SERVICE

  Manifest header (named "Export-Service") identifying the fully qualified class names of the services that the bundle may register (used for informational purposes only).

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### IMPORT_PACKAGE

    public static final java.lang.String IMPORT_PACKAGE

  Manifest header (named "Import-Package") identifying the names (and optionally, version numbers) of the packages that the bundle is dependent on.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### DYNAMICIMPORT_PACKAGE

    public static final java.lang.String DYNAMICIMPORT_PACKAGE

  Manifest header (named "DynamicImport-Package") identifying the names of the packages that the bundle may dynamically import during execution.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.2

### IMPORT_SERVICE

    public static final java.lang.String IMPORT_SERVICE

  Manifest header (named "Import-Service") identifying the fully qualified class names of the services that the bundle requires (used for informational purposes only).

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_VENDOR

    public static final java.lang.String BUNDLE_VENDOR

  Manifest header (named "Bundle-Vendor") identifying the bundle's vendor.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_VERSION

    public static final java.lang.String BUNDLE_VERSION

  Manifest header (named "Bundle-Version") identifying the bundle's version.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_DOCURL

    public static final java.lang.String BUNDLE_DOCURL

  Manifest header (named "Bundle-DocURL") identifying the bundle's documentation URL, from which further information about the bundle may be obtained.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_CONTACTADDRESS

    public static final java.lang.String BUNDLE_CONTACTADDRESS

  Manifest header (named "Bundle-ContactAddress") identifying the contact address where problems with the bundle may be reported; for example, an email address.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_ACTIVATOR

    public static final java.lang.String BUNDLE_ACTIVATOR

  Manifest header attribute (named "Bundle-Activator") identifying the bundle's activator class.

  If present, this header specifies the name of the bundle resource class that implements the `BundleActivator` interface and whose `start` and `stop` methods are called by the Framework when the bundle is started and stopped, respectively.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### BUNDLE_UPDATELOCATION

    public static final java.lang.String BUNDLE_UPDATELOCATION

  Manifest header (named "Bundle-UpdateLocation") identifying the location from which a new bundle version is obtained during a bundle update operation.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

### PACKAGE_SPECIFICATION_VERSION

    public static final java.lang.String PACKAGE_SPECIFICATION_VERSION

  Manifest header attribute (named "specification-version") identifying the version of a package specified in the Export-Package or Import-Package manifest header.

  The attribute value is encoded in the Export-Package or Import-Package manifest header like:

       Import-Package: org.osgi.framework ; specification-version="1.1"

### BUNDLE_NATIVECODE_PROCESSOR

    public static final java.lang.String BUNDLE_NATIVECODE_PROCESSOR

  Manifest header attribute (named "processor") identifying the processor required to run native bundle code specified in the Bundle-NativeCode manifest header).

  The attribute value is encoded in the Bundle-NativeCode manifest header like:

       Bundle-NativeCode: http.so ; processor=x86 ...

### BUNDLE_NATIVECODE_OSNAME

    public static final java.lang.String BUNDLE_NATIVECODE_OSNAME

  Manifest header attribute (named "osname") identifying the operating system required to run native bundle code specified in the Bundle-NativeCode manifest header).

  The attribute value is encoded in the Bundle-NativeCode manifest header like:

       Bundle-NativeCode: http.so ; osname=Linux ...

### BUNDLE_NATIVECODE_OSVERSION

    public static final java.lang.String BUNDLE_NATIVECODE_OSVERSION

  Manifest header attribute (named "osversion") identifying the operating system version required to run native bundle code specified in the Bundle-NativeCode manifest header).

  The attribute value is encoded in the Bundle-NativeCode manifest header like:

       Bundle-NativeCode: http.so ; osversion="2.34" ...

### BUNDLE_NATIVECODE_LANGUAGE

    public static final java.lang.String BUNDLE_NATIVECODE_LANGUAGE

  Manifest header attribute (named "language") identifying the language in which the native bundle code is written specified in the Bundle-NativeCode manifest header. See ISO 639 for possible values.

  The attribute value is encoded in the Bundle-NativeCode manifest header like:

       Bundle-NativeCode: http.so ; language=nl_be ...

### BUNDLE_REQUIREDEXECUTIONENVIRONMENT

    public static final java.lang.String BUNDLE_REQUIREDEXECUTIONENVIRONMENT

  Manifest header (named "Bundle-RequiredExecutionEnvironment") identifying the required execution environment for the bundle. The service platform may run this bundle if any of the execution environments named in this header matches one of the execution environments it implements.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.2

### FRAMEWORK_VERSION

    public static final java.lang.String FRAMEWORK_VERSION

  Framework environment property (named "org.osgi.framework.version") identifying the Framework version.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_VENDOR

    public static final java.lang.String FRAMEWORK_VENDOR

  Framework environment property (named "org.osgi.framework.vendor") identifying the Framework implementation vendor.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_LANGUAGE

    public static final java.lang.String FRAMEWORK_LANGUAGE

  Framework environment property (named "org.osgi.framework.language") identifying the Framework implementation language (see ISO 639 for possible values).

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_OS_NAME

    public static final java.lang.String FRAMEWORK_OS_NAME

  Framework environment property (named "org.osgi.framework.os.name") identifying the Framework host-computer's operating system.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_OS_VERSION

    public static final java.lang.String FRAMEWORK_OS_VERSION

  Framework environment property (named "org.osgi.framework.os.version") identifying the Framework host-computer's operating system version number.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_PROCESSOR

    public static final java.lang.String FRAMEWORK_PROCESSOR

  Framework environment property (named "org.osgi.framework.processor") identifying the Framework host-computer's processor name.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

### FRAMEWORK_EXECUTIONENVIRONMENT

    public static final java.lang.String FRAMEWORK_EXECUTIONENVIRONMENT

  Framework environment property (named "org.osgi.framework.executionenvironment") identifying execution environments provided by the Framework.

  The value of this property may be retrieved by calling the `BundleContext.getProperty` method.

  Since:
    1.2

### OBJECTCLASS

    public static final java.lang.String OBJECTCLASS

  Service property (named "objectClass") identifying all of the class names under which a service was registered in the Framework (of type `java.lang.String[]`).

  This property is set by the Framework when a service is registered.

### SERVICE_ID

    public static final java.lang.String SERVICE_ID

  Service property (named "service.id") identifying a service's registration number (of type `java.lang.Long`).

  The value of this property is assigned by the Framework when a service is registered. The Framework assigns a unique value that is larger than all previously assigned values since the Framework was started. These values are NOT persistent across restarts of the Framework.

### SERVICE_PID

    public static final java.lang.String SERVICE_PID

  Service property (named "service.pid") identifying a service's persistent identifier.

  This property may be supplied in the `properties` `Dictionary` object passed to the `BundleContext.registerService` method.

  A service's persistent identifier uniquely identifies the service and persists across multiple Framework invocations.

  By convention, every bundle has its own unique namespace, starting with the bundle's identifier (see `Bundle.getBundleId()`) and followed by a dot (.). A bundle may use this as the prefix of the persistent identifiers for the services it registers.

### SERVICE_RANKING

    public static final java.lang.String SERVICE_RANKING

  Service property (named "service.ranking") identifying a service's ranking number (of type `java.lang.Integer`).

  This property may be supplied in the `properties Dictionary` object passed to the `BundleContext.registerService` method.

  The service ranking is used by the Framework to determine the default service to be returned from a call to the `BundleContext.getServiceReference(java.lang.String)`method: If more than one service implements the specified class, the `ServiceReference` object with the highest ranking is returned.

  The default ranking is zero (0). A service with a ranking of `Integer.MAX_VALUE` is very likely to be returned as the default service, whereas a service with a ranking of `Integer.MIN_VALUE` is very unlikely to be returned.

  If the supplied property value is not of type `java.lang.Integer`, it is deemed to have a ranking value of zero.

### SERVICE_VENDOR

    public static final java.lang.String SERVICE_VENDOR

  Service property (named "service.vendor") identifying a service's vendor.

  This property may be supplied in the properties `Dictionary` object passed to the `BundleContext.registerService` method.

### SERVICE_DESCRIPTION

    public static final java.lang.String SERVICE_DESCRIPTION

  Service property (named "service.description") identifying a service's description.

  This property may be supplied in the properties `Dictionary` object passed to the `BundleContext.registerService` method.

### BUNDLE_SYMBOLICNAME

    public static final java.lang.String BUNDLE_SYMBOLICNAME

  Manifest header (named "Bundle-SymbolicName") identifying the bundle's symbolic name.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.3 EXPERIMENTAL

### SINGLETON_ATTRIBUTE

    public static final java.lang.String SINGLETON_ATTRIBUTE

  Manifest header attribute (named "singleton") identifying whether a bundle is a singleton. The default value is `false`.

  The attribute value is encoded in the Bundle-SymbolicName manifest header like:

       Bundle-SymbolicName: com.acme.module.test; singleton=true

  Since:
    1.3 EXPERIMENTAL

### BUNDLE_LOCALIZATION

    public static final java.lang.String BUNDLE_LOCALIZATION

  Manifest header (named "Bundle-Localization") identifying the base name of the bundle's localization file.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.3 EXPERIMENTAL

### BUNDLE_LOCALIZATION_DEFAULT_BASENAME

    public static final java.lang.String BUNDLE_LOCALIZATION_DEFAULT_BASENAME

  Default value for the Bundle-Localization manifest header.
  See Also:
    `BUNDLE_LOCALIZATION`
  Since:
    1.3 EXPERIMENTAL

### PROVIDE_PACKAGE

    public static final java.lang.String PROVIDE_PACKAGE

  Manifest header (named "Provide-Package") identifying the packages name provided to other bundles which require the bundle.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.3 EXPERIMENTAL

### REQUIRE_BUNDLE

    public static final java.lang.String REQUIRE_BUNDLE

  Manifest header (named "Require-Bundle") identifying the symbolic names of other bundles required by the bundle.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.3 EXPERIMENTAL

### BUNDLE_VERSION_ATTRIBUTE

    public static final java.lang.String BUNDLE_VERSION_ATTRIBUTE

  Manifest header attribute (named "bundle-version") identifying a range of versions for a bundle specified in the Require-Bundle or Fragment-Host manifest headers. The default value is `0.0.0`.

  The attribute value is encoded in the Require-Bundle manifest header like:

       Require-Bundle: com.acme.module.test; bundle-version="1.1"
       Require-Bundle: com.acme.module.test; bundle-version="[1.0,2.0)"

  The bundle-version attribute value uses a mathematical interval notation to specify a range of bundle versions. A bundle-version attribute value specified as a single version means a version range that includes any bundle version greater than or equal to the specified version.

  Since:
    1.3 EXPERIMENTAL

### REPROVIDE_ATTRIBUTE

    public static final java.lang.String REPROVIDE_ATTRIBUTE

  Manifest header attribute (named "reprovide") for Require-Bundle identifying that any packages that are provided by the required bundle must be reprovided by the requiring bundle. The default value is `false`.

  The attribute value is encoded in the Require-Bundle manifest header like:

       Require-Bundle: com.acme.module.test; reprovide="true"

  Since:
    1.3 EXPERIMENTAL

### OPTIONAL_ATTRIBUTE

    public static final java.lang.String OPTIONAL_ATTRIBUTE

  Manifest header attribute (named "optional") for Require-Bundle identifying that a required bundle is optional and that the requiring bundle can be resolved if there is no suitable required bundle. The default value is `false`.

  The attribute value is encoded in the Require-Bundle manifest header like:

       Require-Bundle: com.acme.module.test; optional="true"

  Since:
    1.3 EXPERIMENTAL

### REQUIRE_PACKAGES_ATTRIBUTE

    public static final java.lang.String REQUIRE_PACKAGES_ATTRIBUTE

  Manifest header attribute (named "require-packages") for Require-Bundle specifying the subset of packages that are accessible from the required bundle. If the require-packages parameter is not specified then all packages provided by the required bundle are accessible. The value of this parameter must be a quoted string. The syntax of the quoted string value is the same as that of the Provide-Package manifest header value.

  The attribute value is encoded in the Require-Bundle manifest header like:

       Require-Bundle: org.osgi.test;
        require-packages="org.osgi.test.pkg1,org.osgi.test.pkg2"

  Since:
    1.3 EXPERIMENTAL

### FRAGMENT_HOST

    public static final java.lang.String FRAGMENT_HOST

  Manifest header (named "Fragment-Host") identifying the symbolic name of another bundle for which that the bundle is a fragment.

  The attribute value may be retrieved from the `Dictionary` object returned by the `Bundle.getHeaders` method.

  Since:
    1.3 EXPERIMENTAL

### MULTIPLE_HOSTS_ATTRIBUTE

    public static final java.lang.String MULTIPLE_HOSTS_ATTRIBUTE

  Manifest header attribute (named "multiple-hosts") identifying if the fragment should attach to each bundle selected by the Fragment-Host manifest header. The default value is `false`.

  The attribute value is encoded in the Fragment-Host manifest header like:

       Fragment-Host: com.acme.module.test; multiple-hosts="false"

  Since:
    1.3 EXPERIMENTAL

### SELECTION_FILTER_ATTRIBUTE

    public static final java.lang.String SELECTION_FILTER_ATTRIBUTE

  Manifest header attribute (named "selection-filter") is used for selection by filtering based upon system properties.

  The attribute value is encoded in manifest headers like:

       Bundle-NativeCode: libgtk.so; selection-filter="(ws=gtk)"; ...
       Bundle-ClassPath: base.jar, gtk.jar; selection-filter="(ws=gtk)", ...

  Since:
    1.3 EXPERIMENTAL

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.